# Changelog

## 2025-01-03 - 2.0.8 - fix(core)
Ensure consistent browser automation functionality

- Verified browser initialization and shutdown
- Tested PDF generation from web pages
- Validated screenshot capturing

## 2025-01-02 - 2.0.7 - fix(dependencies)
Update dependencies to latest versions.

- Updated @push.rocks/smartpdf dependency to version ^3.1.8
- Updated @push.rocks/smartunique dependency to version ^3.0.9
- Updated devDependencies to the latest versions

## 2024-05-29 - 2.0.6 - Project Maintenance
Minor project maintenance updates.

- Updated project description
- Revised tsconfig settings
- Made repeated updates to npmextra.json focusing on 'githost' configuration

## 2023-07-11 - 2.0.5 - Organizational Updates
Switch to new organizational scheme and internal updates.

- Transitioned project to new organizational scheme

## 2022-10-26 - 2.0.4 to 2.0.2 - Core Fixes
A series of core fixes were applied to ensure better stability and performance.

## 2022-03-24 - 2.0.1 to 2.0.0 - Core Improvements
Significant updates made to the core functionality.

- Updated core components to enhance performance and reliability

## 2021-11-07 - 1.0.22 to 1.0.21 - Core Fixes
Minor fixes to core components for improved stability.

## 2021-04-29 - 1.0.20 to 1.0.18 - Core Fixes
Routine updates and fixes for core stability.

## 2020-06-01 - 1.0.16 to 1.0.14 - Bug Fixes
Multiple bug fixes and enhancements to the core.

## 2019-06-04 - 1.0.13 to 1.0.11 - Bug Fixes
Addressed several core issues to improve functionality.

## 2019-05-29 - 1.0.10 to 1.0.6 - Core Updates
Numerous updates and fixes were applied to core functionalities.

## 2017-04-09 - 1.0.5 to 1.0.3 - Feature Enhancements
Introduced new features and enhancements.

- Added .reload() method
- Included npmextra.json for better configuration management

## 2016-09-20 - 1.0.1 to 1.0.0 - Initial Release and Improvements
Launched the project with several improvements and setup configurations.

- Initial project setup and configuration
- Enhanced README for better documentation
- Integrated GitLab CI for continuous integration

